Package ghidra.app.util.bin.format.golang

# Class GoConstants

java.lang.Object
ghidra.app.util.bin.format.golang.GoConstants

public class GoConstants extends Object
Misc constant values for golang

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `GOLANG_ABI_INTERNAL_CALLINGCONVENTION_NAME`
  `static final String`
  `GOLANG_ABI0_CALLINGCONVENTION_NAME`
  `static final CategoryPath`
  `GOLANG_BOOTSTRAP_FUNCS_CATEGORYPATH`
  `static final CategoryPath`
  `GOLANG_CATEGORYPATH`
  Category path to place golang types in
  `static final String`
  `GOLANG_CSPEC_NAME`
  `static final String`
  `GOLANG_DUFFCOPY_CALLINGCONVENTION_NAME`
  `static final String`
  `GOLANG_DUFFZERO_CALLINGCONVENTION_NAME`
  `static final CategoryPath`
  `GOLANG_RECOVERED_TYPES_CATEGORYPATH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GoConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GOLANG_CSPEC_NAME

    public static final String GOLANG_CSPEC_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_CATEGORYPATH

    public static final CategoryPath GOLANG_CATEGORYPATH
    Category path to place golang types in

  - ### GOLANG_BOOTSTRAP_FUNCS_CATEGORYPATH

    public static final CategoryPath GOLANG_BOOTSTRAP_FUNCS_CATEGORYPATH

  - ### GOLANG_RECOVERED_TYPES_CATEGORYPATH

    public static final CategoryPath GOLANG_RECOVERED_TYPES_CATEGORYPATH

  - ### GOLANG_ABI_INTERNAL_CALLINGCONVENTION_NAME

    public static final String GOLANG_ABI_INTERNAL_CALLINGCONVENTION_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_ABI0_CALLINGCONVENTION_NAME

    public static final String GOLANG_ABI0_CALLINGCONVENTION_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_DUFFZERO_CALLINGCONVENTION_NAME

    public static final String GOLANG_DUFFZERO_CALLINGCONVENTION_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_DUFFCOPY_CALLINGCONVENTION_NAME

    public static final String GOLANG_DUFFCOPY_CALLINGCONVENTION_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GoConstants

    public GoConstants()